Skip to navigation

CVE Database

CVE-2011-0719

Impact: Important
Public: 2011-02-28
Bugzilla: 678328: CVE-2011-0719 Samba unsafe fd_set usage

Details

The MITRE CVE dictionary describes this issue as:

Samba 3.x before 3.3.15, 3.4.x before 3.4.12, and 3.5.x before 3.5.7 does not perform range checks for file descriptors before use of the FD_SET macro, which allows remote attackers to cause a denial of service (stack memory corruption, and infinite loop or daemon crash) by opening a large number of files, related to (1) Winbind or (2) smbd.

Find out more about CVE-2011-0719 from the MITRE CVE dictionary and NIST NVD.

CVSS v2 metrics

Base Score: 4.6
Base Metrics: AV:N/AC:H/Au:S/C:P/I:P/A:P
Access Vector: Network
Access Complexity: High
Authentication: Single Instance
Confidentiality Impact: Partial
Integrity Impact: Partial
Availability Impact: Partial

Find out more about Red Hat support for the Common Vulnerability Scoring System (CVSS).

Red Hat security errata

Platform Errata Release Date
Red Hat Enterprise Linux version 4 (samba) RHSA-2011:0305 March 01, 2011
Red Hat Enterprise Linux version 5 (samba) RHSA-2011:0305 March 01, 2011
Red Hat Enterprise Linux version 5 (samba3x) RHSA-2011:0306 March 01, 2011
Red Hat Enterprise Linux version 6 (samba) RHSA-2011:0305 March 01, 2011

External References

Acknowledgements

Red Hat would like to thank the Samba team for reporting this issue. Upstream acknowledges Volker Lendecke of SerNet as the original reporter.

This page is generated automatically and has not been checked for errors or omissions.

For clarification or corrections please contact the Red Hat Security Response Team.